# Syntax for strings in ij commands

#### Syntax

    'Text'

#### Description

Some `ij` commands require strings. `ij` strings are represented by the same literal format as SQL strings and are delimited by single quotation marks. To include a single quotation mark in a string, you must use two single quotation marks, as shown in the examples below. `ij` places no limitation on the lengths of strings, and will treat embedded new lines in the string as characters in the string.

Some `ij` commands execute SQL commands specified as strings. Therefore, you must double any single quotation marks within such strings, as shown in the second example below.

The cases of letters within a string are preserved.

#### Example

    This is a string in ij     And this is its value
    'Mary''s umbrella'          Mary's umbrella
    'hello world'               hello world

    --returns Joe's
    execute 'VALUES ''Joe''''s''';

Parent topic: ij commands and errors reference
Related concepts
ij commands
ij errors
Related reference
Absolute command
After Last command
Async command
Autocommit command
Before First command
Close command
Commit command
Connect command
Describe command
Disconnect command
Driver command
Elapsedtime command
Execute command
Exit command
First command
Get Cursor command
Get Scroll Insensitive Cursor command
Help command
Last command
LocalizedDisplay command
MaximumDisplayWidth command
Next command
Prepare command
Previous command
Protocol command
Readonly command
Relative command
Remove command
Rollback command
Run command
Set Connection command
Show command
Wait For command
Syntax for comments in ij commands
Syntax for identifiers in ij commands